[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [jfw] Re: About Crypt package



The structure uses PSR-0 for auto loading, due to the class naming. In php, you can't have a class that begins with a number, so we have to update the class names to avoid that conflict on the Cipher_3DES class name. It can't be transformed to Cipher\3DES. 

The updated structure will come with the 2.0 release. 

Sent from my iPhone

On Apr 5, 2014, at 9:11 AM, piotr_cz <pkonieczny AT hotmail.com> wrote:

I'd say the reason is it's one of few packages that haven't been transformed yet to use PSR-4 autoloader.

On Saturday, April 5, 2014 12:30:59 PM UTC+2, Karthik Narendran wrote:
While browsing  through the source of Crypt package, noticed that the hierarchy of the package is different from other packages. Why is it so?

--
Framework source code: https://github.com/joomla/joomla-framework
Visit http://developer.joomla.org for more information about developing with Joomla!
---
You received this message because you are subscribed to the Google Groups "Joomla! Framework Development" group.
To unsubscribe from this group and stop receiving emails from it, send an email to joomla-dev-framework+unsubscribe AT googlegroups.com.
Visit this group at http://groups.google.com/group/joomla-dev-framework.

--
Framework source code: https://github.com/joomla/joomla-framework
Visit http://developer.joomla.org for more information about developing with Joomla!
---
You received this message because you are subscribed to the Google Groups "Joomla! Framework Development" group.
To unsubscribe from this group and stop receiving emails from it, send an email to joomla-dev-framework+unsubscribe AT googlegroups.com.
Visit this group at http://groups.google.com/group/joomla-dev-framework.